IRQTOP(1)

NUME
irqtop - instrument de afișare a informațiilor despre întreruperile din nucleu

REZUMAT

irqtop [opțiuni]

DESCRIERE

Afișează informații despre contorul de întreruperi al nucleului în stilul de vizualizare top(1).

Rezultatele implicite pot fi modificate. Așadar, ori de câte ori este posibil, ar trebui să evitați să utilizați ieșirile implicite în scripturile dumneavoastră. Definiți întotdeauna în mod explicit coloanele așteptate folosind --output.

OPȚIUNI

-o, --output listă
    Specificați ce coloane de ieșire se vor afișa. Utilizați --help pentru a obține o listă cu toate coloanele acceptate. Lista implicită de coloane poate fi extinsă dacă lista este specificată în formatul +listă.

-c, --cpu-stat mod
    Afișează statisticile per-cpu în funcție de modul specificat. Modurile disponibile sunt: auto, enable, disable. Opțiunea implicită auto detectează lățimea ferestrei, apoi afișează statisticile per-cpu dacă lățimea ferestrei este suficient de mare pentru a afișa o linie completă de statistici.

-C, --cpu-list listă
    Specifică CPU-urile în format listă pentru a fi afișate.

-d, --delay secunde
    Actualizează ieșirea de întrerupere la intervale de secunde.

-s, --sort coloana
    Specifică criteriile de sortare după numele coloanei. Consultați --help pentru a obține numele coloanelor. Criteriile de sortare pot fi modificate în modul interactiv.

-S, --softirq
    Afișează informații despre softirqs.

-t, --threshold min
    Afișează numai IRQ-urile cu contoare peste pragul specificat. Sunt acceptate valori care pot fi citite de către om (de exemplu, 1,2K).

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

COMENZI DE TASTE PENTRU MODUL INTERACTIV

i
    sortează după numele irq scurt sau după câmpul numeric

t
    sortează după numărul total de întreruperi (implicit)

d
    sortează după numărul delta de întreruperi

n
    sortare după câmpul de nume descriptiv lung

q Q
    oprește actualizările și părăsește programul

AUTORI

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda irqtop face parte din pachetul util-linux care poate fi descărcat de la